Update status | Parallel Developer Documentation
This is unreleased documentation for Parallel Developer Documentation Next 🚧 version.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Next 🚧
HTTP Request
POST https://api.parallelmarkets.com/v2/partner-records/{id}/statuses
{id}- The individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.
Request Parameters
| Parameter | Description |
|---|---|
status (string) |
Required The status to set for the record. Can be one of: - open- pending- approved- declined |
notes (string) |
Optional. Notes to attach to the new status. |
risk_rating_value (number) |
Optional. A numeric risk rating value to assign to this status. Only applicable if risk rating is configured in your account. |
Sample payload
{
"status": "approved",
"notes": "This is a test note.",
"risk_rating_value": 75
}
Response Parameters
Returns a Record Status after successful status creation.
If risk rating is configured in your account, the response will also include a risk_rating object with level and value properties.
Example Response
{
"data": {
"notes": "This is a test note.",
"set_at": "2023-04-20T18:40:00Z",
"set_by": null,
"source": "api",
"status": "approved",
"risk_rating": {
"level": "medium",
"value": 75
}
}
}